---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libattach045Agent02.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x554F8, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x57438, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x57820, symBinAddr: 0xE518, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x587C0, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x587C8, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x8DBD, offset: 0x8DBD, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x55150, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DC8, offset: 0x8DC8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x55154, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DD3, offset: 0x8DD3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x55158, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E18, offset: 0x8E18, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x552A8, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8E85, offset: 0x8E85, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55360, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EA3, offset: 0x8EA3, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x55364, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8EBC, offset: 0x8EBC, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x55368, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8ED5, offset: 0x8ED5, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5536C, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8EEE, offset: 0x8EEE, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x55370, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F07, offset: 0x8F07, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x55378, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F90, offset: 0x8F90, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x55388, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA9, offset: 0x8FA9, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x55390, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FC2, offset: 0x8FC2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x55398, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FDB, offset: 0x8FDB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x553A0, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FF4, offset: 0x8FF4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x553A8, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x900E, offset: 0x900E, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x553B0, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x553F4, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x553F8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x55400, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x55408, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x55418, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9171, offset: 0x9171, size: 0x8, addend: 0x0, symName: __ZL20eventsCounterMonitor, symObjAddr: 0x55420, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x918A, offset: 0x918A, size: 0x8, addend: 0x0, symName: __ZL13eventsCounter, symObjAddr: 0x55428, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91A3, offset: 0x91A3, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x55430, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91F5, offset: 0x91F5, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x313C, symSize: 0xA0 }
  - { offsetInCU: 0x928A, offset: 0x928A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3114, symSize: 0x28 }
  - { offsetInCU: 0x92ED, offset: 0x92ED, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3094, symSize: 0x80 }
  - { offsetInCU: 0x9581, offset: 0x9581, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x31DC, symSize: 0x20C }
  - { offsetInCU: 0x973A, offset: 0x973A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x33E8, symSize: 0x28 }
  - { offsetInCU: 0x9803, offset: 0x9803, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3410, symSize: 0xB0 }
  - { offsetInCU: 0x98FA, offset: 0x98FA, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x34C0, symSize: 0xD8 }
  - { offsetInCU: 0x9A4B, offset: 0x9A4B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3598, symSize: 0x24 }
  - { offsetInCU: 0x9B86, offset: 0x9B86, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x35BC, symSize: 0x168 }
  - { offsetInCU: 0x9D62, offset: 0x9D62, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3724, symSize: 0x104 }
  - { offsetInCU: 0x9EF3, offset: 0x9EF3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3828, symSize: 0x154 }
  - { offsetInCU: 0xA0D7, offset: 0xA0D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x397C, symSize: 0xAC }
  - { offsetInCU: 0xA1AC, offset: 0xA1AC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3A28, symSize: 0x14 }
  - { offsetInCU: 0xA1E5, offset: 0xA1E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3A3C, symSize: 0x14 }
  - { offsetInCU: 0xA21E, offset: 0xA21E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3A50, symSize: 0x14 }
  - { offsetInCU: 0xA39B, offset: 0xA39B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3A64, symSize: 0x1A8 }
  - { offsetInCU: 0xA6A5, offset: 0xA6A5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3C0C, symSize: 0x140 }
  - { offsetInCU: 0xA846, offset: 0xA846, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3D4C, symSize: 0x9C }
  - { offsetInCU: 0xA903, offset: 0xA903, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3DE8, symSize: 0x690 }
  - { offsetInCU: 0xB495, offset: 0xB495, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA37C, symBinAddr: 0x571C, symSize: 0x30 }
  - { offsetInCU: 0xB521, offset: 0xB521, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4478, symSize: 0x74 }
  - { offsetInCU: 0xB5B1, offset: 0xB5B1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x44EC, symSize: 0xB0 }
  - { offsetInCU: 0xB6BC, offset: 0xB6BC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x459C, symSize: 0x3C }
  - { offsetInCU: 0xB7B2, offset: 0xB7B2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x45D8, symSize: 0x29C }
  - { offsetInCU: 0xBAF5, offset: 0xBAF5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4874, symSize: 0xD0 }
  - { offsetInCU: 0xBC23, offset: 0xBC23, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4944, symSize: 0xC }
  - { offsetInCU: 0xBCE5, offset: 0xBCE5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4950, symSize: 0x22C }
  - { offsetInCU: 0xBFA0, offset: 0xBFA0, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x8CFC, symBinAddr: 0x4B7C, symSize: 0x118 }
  - { offsetInCU: 0xC063, offset: 0xC063, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x8E14, symBinAddr: 0x4C94, symSize: 0x3A4 }
  - { offsetInCU: 0xC38F, offset: 0xC38F, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0x9290, symBinAddr: 0x5038, symSize: 0xF0 }
  - { offsetInCU: 0xC462, offset: 0xC462, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0x9380, symBinAddr: 0x5128, symSize: 0x264 }
  - { offsetInCU: 0xC72C, offset: 0xC72C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x95E4, symBinAddr: 0x538C, symSize: 0x30 }
  - { offsetInCU: 0xC7A8, offset: 0xC7A8, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0x9614, symBinAddr: 0x53BC, symSize: 0x1DC }
  - { offsetInCU: 0xC9E9, offset: 0xC9E9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getThreadName, symObjAddr: 0x9EC4, symBinAddr: 0x5598, symSize: 0x184 }
  - { offsetInCU: 0xCC1F, offset: 0xCC1F, size: 0x8, addend: 0x0, symName: _eventHandler, symObjAddr: 0xAE60, symBinAddr: 0x574C, symSize: 0x4E8 }
  - { offsetInCU: 0xD22E, offset: 0xD22E, size: 0x8, addend: 0x0, symName: _threadStartHandler, symObjAddr: 0xB348, symBinAddr: 0x5C34, symSize: 0x8 }
  - { offsetInCU: 0xD293, offset: 0xD293, size: 0x8, addend: 0x0, symName: _threadEndHandler, symObjAddr: 0xB350, symBinAddr: 0x5C3C, symSize: 0x8 }
  - { offsetInCU: 0xD357, offset: 0xD357, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xB358, symBinAddr: 0x5C44, symSize: 0x408 }
  - { offsetInCU: 0xD811, offset: 0xD811, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB760, symBinAddr: 0x604C, symSize: 0x358 }
...
